Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004158TestLinkTest Specificationpublic2011-01-10 12:122011-03-18 19:08
ReporterJulian 
Assigned ToJulian 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 (planned) 
Fixed in Version2.0 (planned) 
Summary0004158: CKEditor not working for edit test case steps
DescriptionCKEditor not working for edit test case steps

FCKEditor is working.
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0013248)
Julian (reporter)
2011-01-12 07:39

Vincent, any idea?
(0013249)
Julian (reporter)
2011-01-12 08:57
edited on: 2011-01-12 09:01

if i modify tcEdit.php - function createWebEditors() in this way

$owe->cfg = array('steps' => array('rows'=> null,'cols' => $cols['steps'][$layout]) ,
                  'expected_results' => array('rows'=> null, 'cols' => $cols['expected_results'][$layout]));

ckeditor for steps is shown (but of course does not work anymore for summary and preconditions.

//edit:
if i change order of elements of $owe->cfg to steps, expected_results, summary,preconditions -> CKEditor does work for steps but not anymore for summary and preconditions

(0013252)
Julian (reporter)
2011-01-12 09:34

as editor seems only to be shown for the first and the second initialized editors a check if preconditions and summary OR steps and expected results should be shown according to requested action (edit tc or edit steps) has been added.

Maybe there exists a more general solution -> feel free to investigate.
(0014004)
fman (administrator)
2011-03-18 19:08

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2011-01-10 12:12 Julian New Issue
2011-01-12 07:39 Julian View Status private => public
2011-01-12 07:40 Julian Note Added: 0013248
2011-01-12 08:57 Julian Note Added: 0013249
2011-01-12 09:01 Julian Note Edited: 0013249 View Revisions
2011-01-12 09:34 Julian Note Added: 0013252
2011-01-12 09:34 Julian Status new => resolved
2011-01-12 09:34 Julian Fixed in Version => 2.0 (planned)
2011-01-12 09:34 Julian Resolution open => fixed
2011-01-12 09:34 Julian Assigned To => Julian
2011-03-18 19:08 fman Note Added: 0014004
2011-03-18 19:08 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker